GET api/MESetting/GetExamListComponent?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfMEComponentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of MEComponentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "Sequence": 3,
      "AuthorizeText": "sample string 4",
      "IsExpDateNeeded": true,
      "IsNeedQuestionnaire": true,
      "IsQuestionnaireRequired": true,
      "lstMEComponentResult": [
        {
          "Id": 1,
          "Name": "sample string 2",
          "ComponentId": 3,
          "Type": 4,
          "FormTypeId": 1,
          "TypeName": "sample string 5",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:26:25.270128-07:00",
          "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
          "UserIDCreated": 9,
          "UserIDUpdated": 10,
          "CompanyCode": "sample string 11",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "Name": "sample string 2",
          "ComponentId": 3,
          "Type": 4,
          "FormTypeId": 1,
          "TypeName": "sample string 5",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:26:25.270128-07:00",
          "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
          "UserIDCreated": 9,
          "UserIDUpdated": 10,
          "CompanyCode": "sample string 11",
          "IsExcludeDiscount": true
        }
      ],
      "OrderCategoryId": 8,
      "OrderCategoryTypeId": 9,
      "ImagingOrderTypeId": 10,
      "ImagingBodyPartId": 11,
      "ImagingSubTypeId": 12,
      "MedicationOrderTypeId": 13,
      "MedicationDoseId": 14,
      "SupplyOrderTypeId": 15,
      "SupplySubTypeId": 16,
      "LaboratoryOrderTypeId": 17,
      "LaboratoryOrderSpecimenCode": 18,
      "ProcedureSubTypeId": 19,
      "ProcedureOrderTypeId": 20,
      "OrderCategoryName": "sample string 21",
      "OrderCategorySubTypeId": 1,
      "DotNonDotId": 1,
      "SpecimenTypeId": 1,
      "OrderCategorySubTypeLevel1Id": 1,
      "EncounterId": 22,
      "EccCaseTypeId": 1,
      "OrderDrugScreenTypeId": 1,
      "OrderId": [
        1,
        2
      ],
      "OrderIdList": [
        1,
        2
      ],
      "ServiceId": 23,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:26:25.270128-07:00",
      "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
      "UserIDCreated": 27,
      "UserIDUpdated": 28,
      "CompanyCode": "sample string 29",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "Sequence": 3,
      "AuthorizeText": "sample string 4",
      "IsExpDateNeeded": true,
      "IsNeedQuestionnaire": true,
      "IsQuestionnaireRequired": true,
      "lstMEComponentResult": [
        {
          "Id": 1,
          "Name": "sample string 2",
          "ComponentId": 3,
          "Type": 4,
          "FormTypeId": 1,
          "TypeName": "sample string 5",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:26:25.270128-07:00",
          "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
          "UserIDCreated": 9,
          "UserIDUpdated": 10,
          "CompanyCode": "sample string 11",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "Name": "sample string 2",
          "ComponentId": 3,
          "Type": 4,
          "FormTypeId": 1,
          "TypeName": "sample string 5",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:26:25.270128-07:00",
          "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
          "UserIDCreated": 9,
          "UserIDUpdated": 10,
          "CompanyCode": "sample string 11",
          "IsExcludeDiscount": true
        }
      ],
      "OrderCategoryId": 8,
      "OrderCategoryTypeId": 9,
      "ImagingOrderTypeId": 10,
      "ImagingBodyPartId": 11,
      "ImagingSubTypeId": 12,
      "MedicationOrderTypeId": 13,
      "MedicationDoseId": 14,
      "SupplyOrderTypeId": 15,
      "SupplySubTypeId": 16,
      "LaboratoryOrderTypeId": 17,
      "LaboratoryOrderSpecimenCode": 18,
      "ProcedureSubTypeId": 19,
      "ProcedureOrderTypeId": 20,
      "OrderCategoryName": "sample string 21",
      "OrderCategorySubTypeId": 1,
      "DotNonDotId": 1,
      "SpecimenTypeId": 1,
      "OrderCategorySubTypeLevel1Id": 1,
      "EncounterId": 22,
      "EccCaseTypeId": 1,
      "OrderDrugScreenTypeId": 1,
      "OrderId": [
        1,
        2
      ],
      "OrderIdList": [
        1,
        2
      ],
      "ServiceId": 23,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:26:25.270128-07:00",
      "DateUpdated": "2026-08-04T14:26:25.270128-07:00",
      "UserIDCreated": 27,
      "UserIDUpdated": 28,
      "CompanyCode": "sample string 29",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}